Gets a list of order returns with details and optional personalizations
curl --request GET \
--url https://api.example.com/api/v1/Shipments/Returns \
--header 'Authorization: <api-key>'import requests
url = "https://api.example.com/api/v1/Shipments/Returns"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.example.com/api/v1/Shipments/Returns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"isSuccess": true,
"message": "<string>",
"payload": [
{
"shipReturnId": 123,
"shipmentKey": 123,
"customerName": "<string>",
"wineDirectOrderNumber": "<string>",
"orderNumber": "<string>",
"orderTypeCode": "<string>",
"orderTypeName": "<string>",
"shipFromWarehouseCode": "<string>",
"consumerFirstName": "<string>",
"consumerLastName": "<string>",
"consumerAddress1": "<string>",
"consumerAddress2": "<string>",
"consumerCity": "<string>",
"consumerState": "<string>",
"consumerZipCode": "<string>",
"notificationEmailAddress": "<string>",
"notificationPhoneNumber": "<string>",
"wmsCarrierCode": "<string>",
"carrierCode": "<string>",
"trackingNumber": "<string>",
"trackingNumberUrl": "<string>",
"trackingStatusUrl": "<string>",
"shipDate": "2023-11-07T05:31:56Z",
"returnDate": "2023-11-07T05:31:56Z",
"returnReasonCode": "<string>",
"returnReasonName": "<string>",
"processingStatusCode": "<string>",
"processingStatusName": "<string>",
"resolutionCode": "<string>",
"resolutionName": "<string>",
"hasPersonalizations": true,
"vasOrderPersonalizations": [
{
"type": "<string>",
"lineNumber": 123,
"message": "<string>",
"options": [
{
"type": "<string>",
"option": "<string>",
"message": "<string>"
}
]
}
],
"lineItems": [
{
"shipReturnId": 123,
"shipmentKey": 123,
"lineNumber": 123,
"componentNumber": 123,
"sku": "<string>",
"skuDescription": "<string>",
"wineDirectSku": "<string>",
"quantityOrdered": 123,
"quantityShipped": 123,
"quantityReturned": 123,
"quantityDamaged": 123,
"quantityMissing": 123,
"vasOrderPersonalizations": [
{
"type": "<string>",
"lineNumber": 123,
"message": "<string>",
"options": [
{
"type": "<string>",
"option": "<string>",
"message": "<string>"
}
]
}
]
}
]
}
]
}Gets a list of order returns with details and optional personalizations
GET
/
api
/
v1
/
Shipments
/
Returns
Gets a list of order returns with details and optional personalizations
Authorizations
Enter the Bearer AccessToken; Example: 'Bearer 12345abcdef'
Query Parameters
AccountNumber is the unique Customer ID in the WineDirect system.
Minimum string length:
2The warehouse (Code)
"GLW" - Glenwillow,
"WDI" - Green Island,
"PSO" - Paso Robles,
"SMA" - Santa Maria,
"SHW" - Willamette Valley
"DAL" - Dallas
The beginning date of the search range (SubmittedDate)
YYYY-MM-DD
The ending date of the search range. (SubmittedDate)
YYYY-MM-DD
The reason for the return (Code)
See https://fulfillment.winedirect.com/administration/api-help
The status of the return (Code)
IN_PROCESS
NEW
RESOLVED
The order number of this item
Carrier tracking Number
Was this page helpful?
⌘I